package cn.cecep.talroad.mapper.analysis;

import cn.cecep.talroad.domain.analysis.SRaLowMonitoringGas;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Date;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface SRaLowMonitoringGasMapper extends BaseMapper<SRaLowMonitoringGas> {
    int updateBatch(List<SRaLowMonitoringGas> list);

    int updateBatchSelective(List<SRaLowMonitoringGas> list);

    int batchInsert(@Param("list") List<SRaLowMonitoringGas> list);

    List<SRaLowMonitoringGas> selectHourDataByTime(@Param("factoryId") String factoryId,@Param("outletId") String outletId,@Param("pollutantCode")String pollutantCode,@Param("monitroTime") Date monitorTime);
}
